//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "ReportContainer.h"
#include "SSmrtRep.h"
#include "WordReport.h"
#include <Db.hpp>
#include <DBTables.hpp>
#include "SylkReport.h"
#include <ExtCtrls.hpp>
#include "ExcelReport.h"
#include "XLS4Report.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TReportContainer *ReportContainer1;
  TWordReport *WordReport1;
  TButton *Button1;
  TTable *DB;
  TSylkReport *SylkReport1;
  TRadioGroup *RadioGroup1;
  TExcelReport *ExcelReport1;
  TLabel *Label1;
  TXLS4Report *XLS4Report1;
  TWordReport *WordReport2;
  void __fastcall Button1Click(TObject *Sender);
  void __fastcall ReportContainer1MoveTop(TObject *Sender, bool &bCheck);
  void __fastcall ReportContainer1MoveNext(TObject *Sender, bool &bCheck);
  void __fastcall ReportContainer1SectionCheck(TObject *Sender,
          AnsiString &SectionName, int SectionNum, bool &bCheck);
  void __fastcall ReportContainer1RequestByNum(TObject *Sender,
          AnsiString &SectionName, int &iP, AnsiString &sStr);
  void __fastcall ReportContainer1EndReport(TObject *Sender);
  void __fastcall ReportContainer1RequestByName(TObject *Sender,
          AnsiString &SectionName, AnsiString &sFieldName,
          AnsiString &sStr);
  void __fastcall ReportContainer1StartReport(TObject *Sender);
  void __fastcall ReportContainer1SectionBegin(TObject *Sender,
          AnsiString &SectionName, int SectionNum);
  void __fastcall ReportContainer1SectionPrepare(TObject *Sender);
  void __fastcall WordReport1EndReport(TObject *Sender);
  void __fastcall SylkReport1EndReport(TObject *Sender);
  void __fastcall ReportContainer1DataRequest(TObject *Sender,
          AnsiString &SectionName, int SectionNum, Variant &sData,
          bool &bCheck, int OutR, int OutC, int InR, int InC);
  void __fastcall ExcelReport1EndReport(TObject *Sender);
  void __fastcall XLS4Report1EndReport(TObject *Sender);
  void __fastcall ReportContainer1ReportError(TObject *Sender, int mError,
          int nError, AnsiString sError);
  void __fastcall WordReport2EndReport(TObject *Sender);
private:	// User declarations
  double  s1;
  double  s2;
  int     Somthing;
  Variant Data;
  int     Pos;
public:		// User declarations
  __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
