//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include <ShellApi.h>

#include "Unit2.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "SmartWordStream"
#pragma resource "*.dfm"
TForm2 *Form2;
//---------------------------------------------------------------------------
__fastcall TForm2::TForm2(TComponent* Owner) : TForm(Owner){
};

//---------------------------------------------------------------------------
void __fastcall TForm2::SmartWordRpt1EndReport(TObject *Sender){
  ShellExecute(this->Handle, "open", (SmartWordRpt1->OutBlank).c_str(), "/n", NULL, SW_SHOWNORMAL);
};
//---------------------------------------------------------------------------

void __fastcall TForm2::SmartWordRpt1MoveNext(TObject *Sender,
      bool &bCheck)
{
    oDB->Next();
    if ( oDB->Eof  ){
      bCheck = true;
    } else {
      bCheck = false;
    };
  Panel1->Caption = IntToStr(oDB->RecNo);

}
//---------------------------------------------------------------------------

void __fastcall TForm2::SmartWordRpt1MoveTop(TObject *Sender, bool &bCheck)
{
    oDB->First();
    if ( oDB->Eof ){
      bCheck = true;
    } else {
      bCheck = false;
    };
}
//---------------------------------------------------------------------------


void __fastcall TForm2::SmartWordRpt1ReportBodyDataRequestByName(
      TObject *Sender, AnsiString &sFieldName, AnsiString &sStr)
{
  sStr = oDB->FieldByName(sFieldName)->AsString;
}
//---------------------------------------------------------------------------

void __fastcall TForm2::SmartWordRpt1ReportBodyDataRequestByNum(
      TObject *Sender, int &iP, AnsiString &sStr)
{
  switch ( iP ){
  case 1: sStr = Trim(oDB->Fields->Fields[0]->AsString+" "+oDB->Fields->Fields[1]->AsString); break;//#FIRST+" "+#LAST
  case 2: sStr = Trim(oDB->Fields->Fields[2]->AsString); break;//#STREET
  case 3: sStr = Trim(oDB->Fields->Fields[3]->AsString); break;//#CITY
  case 4: sStr = Trim(oDB->Fields->Fields[4]->AsString); break; //#STATE
  case 5: sStr = Trim(oDB->Fields->Fields[5]->AsString); break; //#ZIP
  case 6: sStr = Trim(oDB->Fields->Fields[8]->AsString); break;//#AGE
  case 7: sStr = Trim(oDB->Fields->Fields[9]->AsString); break;//#SALARY
  };
}
//---------------------------------------------------------------------------

void __fastcall TForm2::SmartWordRpt1ReportError(TObject *Sender,
      TMessage &Msg, AnsiString &sStr)
{
  ShowMessage(sStr + IntToStr(Msg.LParam));
}
//---------------------------------------------------------------------------

void __fastcall TForm2::SmartWordRpt1ReportFooterDataRequestByNum(
      TObject *Sender, int &iP, AnsiString &sStr)
{
  sStr = FloatToStr(s2);
}
//---------------------------------------------------------------------------

void __fastcall TForm2::SmartWordRpt1ReportGroupFooterCheck(
      TObject *Sender, bool &bCheck)
{
  oDB->Next();
  if ( !oDB->Eof ){
      OldGroup = Trim(oDB->Fields->Fields[4]->AsString);  //#STATE
      oDB->Prior();
  } else {
      OldGroup = "chfdhhtryrye";
  };
  if ( OldGroup != Trim(oDB->Fields->Fields[4]->AsString) ) bCheck = true;
}
//---------------------------------------------------------------------------

void __fastcall TForm2::SmartWordRpt1ReportGroupFooterDataRequestByNum(
      TObject *Sender, int &iP, AnsiString &sStr)
{
  if ( iP == 1 ) sStr = Trim(oDB->Fields->Fields[4]->AsString);
  if ( iP == 2 ){
    sStr = Trim(FloatToStr(s1));
    s1 = 0;
  };
};
//---------------------------------------------------------------------------

void __fastcall TForm2::SmartWordRpt1ReportGroupHeaderCheck(
      TObject *Sender, bool &bCheck)
{
  oDB->Prior();
  if ( !oDB->Bof ){
    OldGroup =  Trim(oDB->Fields->Fields[4]->AsString);  //#STATE
    oDB->Next();
  } else {
      OldGroup = "hhhhhhhhhhhhhhhhhhhhhhh";
  };
  if ( OldGroup != Trim(oDB->Fields->Fields[4]->AsString) ) bCheck = true;
}
//---------------------------------------------------------------------------

void __fastcall TForm2::SmartWordRpt1ReportGroupHeaderDataRequestByNum(
      TObject *Sender, int &iP, AnsiString &sStr)
{
  sStr = Trim(oDB->Fields->Fields[4]->AsString);  //#STATE
}
//---------------------------------------------------------------------------

void __fastcall TForm2::SmartWordRpt1ReportHeaderDataRequestByNum(
      TObject *Sender, int &iP, AnsiString &sStr)
{
   if ( iP == 1 ){
    sStr = " ";
   } else {
      sStr = "  !";
   };
}
//---------------------------------------------------------------------------

void __fastcall TForm2::SmartWordRpt1RTFHeaderDataRequestByName(
      TObject *Sender, AnsiString &sFieldName, AnsiString &sStr)
{
  ShowMessage(sFieldName);
  sStr = "   !";
}
//---------------------------------------------------------------------------

void __fastcall TForm2::SmartWordRpt1StartReport(TObject *Sender)
{
   s1 = 0;
   s2 = 0;

}
//---------------------------------------------------------------------------

void __fastcall TForm2::FormShow(TObject *Sender)
{
  //
  oDB->Active = true;
  //
  SmartWordRpt1->OutBlank = "qq"+Trim(IntToStr(i))+".rtf";
  SmartWordRpt1->Start();

}
//---------------------------------------------------------------------------

void __fastcall TForm2::FormClose(TObject *Sender, TCloseAction &Action)
{
  Action = caHide;
}
//---------------------------------------------------------------------------


void __fastcall TForm2::SmartWordRpt1SectionCheck(TObject *Sender,
      bool &bCheck)
{
  switch (SmartWordRpt1->CurrentSectionNum){
    case GROUP_HEADER:
      SmartWordRpt1ReportGroupHeaderCheck(this, bCheck);
      break;
    case GROUP_FOOTER:
      SmartWordRpt1ReportGroupFooterCheck(this, bCheck);
      break;
  };
}
//---------------------------------------------------------------------------

void __fastcall TForm2::SmartWordRpt1SectionDataRequestByName(
      TObject *Sender, AnsiString &sFieldName, AnsiString &sStr)
{
  switch (SmartWordRpt1->CurrentSectionNum){
    case BODY:
      SmartWordRpt1ReportBodyDataRequestByName(this, sFieldName, sStr);
      break;
    case FILE_HEADER:
      SmartWordRpt1RTFHeaderDataRequestByName(this, sFieldName, sStr);
      break;
  };
}
//---------------------------------------------------------------------------

void __fastcall TForm2::SmartWordRpt1SectionDataRequestByNum(
      TObject *Sender, int &iP, AnsiString &sStr)
{
  switch (SmartWordRpt1->CurrentSectionNum){
    case FILE_HEADER:
      SmartWordRpt1ReportHeaderDataRequestByNum(this, iP, sStr);
      break;
    case REPORT_HEADER:
      SmartWordRpt1ReportHeaderDataRequestByNum(this, iP, sStr);
      break;
    case GROUP_HEADER:
      SmartWordRpt1ReportGroupHeaderDataRequestByNum(this, iP, sStr);
      break;
    case BODY:
      SmartWordRpt1ReportBodyDataRequestByNum(this, iP, sStr);
      break;
    case GROUP_FOOTER:
      SmartWordRpt1ReportGroupFooterDataRequestByNum(this, iP, sStr);
      break;
    case REPORT_FOOTER:
      SmartWordRpt1ReportFooterDataRequestByNum(this, iP, sStr);
      break;
  };
}
//---------------------------------------------------------------------------


