
///
///
#ifndef CommonTypeH
#define CommonTypeH

#include <vcl.h>
#include <objbase.h>
#pragma hdrstop

#define FILE_BUFFER											                                262144
#define MAX_NAME_LEGTH                                                  255
#define MAX_LABEL_NAME_LEGTH                                            80
#define PATH_LANGTH										                                	2048
#define MAX_CHAR_DATA                                                   8192
#define THREADSTACK                                                     8192
#define MAX_SECTION_NUM                                                 33


//
#define RTF_SECTION_BEGIN_BREAKED           0x7B  // {
#define RTF_SECTION_END_BREAKED             0x7D  // }

//
#define REQUEST_DATA_BY_NUM_SYMBOL_FOR_SYLK 0x26 /*&*/
#define REQUEST_DATA_BY_NUM_SYMBOL          0x40 /*@*/
#define REQUEST_DATA_BY_NAME_SYMBOL         0x7E /*~*/

//
#define WM_REP_START_REPORT                                                 WM_USER+100
#define WM_REP_END_REPORT                                                   WM_USER+101

//Describe errors
#define WM_REP_THREAD_ERROR                                                 WM_USER+102
#define WM_REP_OPEN_ERROR										                                WM_USER+103
#define WM_REP_CREATE_ERROR									                                WM_USER+104
#define WM_REP_MEM_ERROR										                                WM_USER+105
#define  MEM_ERROR_SO_MUCH_THREADS					                                  0
#define  MEM_ERROR_INPUT_BUFFER								                                1
#define  MEM_ERROR_INPUT_BUFFER_LOCK					                                2
#define  MEM_ERROR_OUTPUT_BUFFER							                                3
#define  MEM_ERROR_OUTPUT_BUFFER_LOCK					                                4
#define WM_REP_READ_ERROR										                                WM_USER+106
#define  READ_ERROR													                                  0
#define  READ_ERROR_ZERO											                                1
#define WM_REP_SECTION_ERROR								                                WM_USER+107
#define SECTION_ERROR_NOT_BEGIN_QREPORT                                       38
#define SECTION_ERROR_NOT_END_QREPORT                                         39
#define SECTION_ERROR_END_QREPORT_WITHOUT_RIGHT_RTF_TAG                       40
#define SECTION_ERROR_END_QREPORT_WITHOUT_LEFT_RTF_TAG                        41
#define SECTION_ERROR_BEGIN_QREPORT_WITHOUT_RIGHT_RTF_TAG                     42
#define SECTION_ERROR_BEGIN_QREPORT_WITHOUT_LEFT_RTF_TAG                      43
#define SECTION_ERROR_BEGIN_QREPORT_AFTER_END_QREPORT                         44

#define  NEW_SECTION_ERROR_START                                              100
#define  SECTION_ERROR_NUMS                                                   9

//HEADER
#define  SECTION_ERROR_BEGIN_REPORT_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG     NEW_SECTION_ERROR_START + 0
#define  SECTION_ERROR_BEGIN_REPORT_HEADER_WITHOUT_LEFT_RTF_TAG               NEW_SECTION_ERROR_START + 1
#define  SECTION_ERROR_BEGIN_REPORT_HEADER_WITHOUT_RIGHT_RTF_TAG              NEW_SECTION_ERROR_START + 2
#define  SECTION_ERROR_END_REPORT_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG       NEW_SECTION_ERROR_START + 3
#define  SECTION_ERROR_END_REPORT_HEADER_WITHOUT_LEFT_RTF_TAG                 NEW_SECTION_ERROR_START + 4
#define  SECTION_ERROR_END_REPORT_HEADER_WITHOUT_RIGHT_RTF_TAG                NEW_SECTION_ERROR_START + 5
#define  SECTION_ERROR_BEGIN_REPORT_HEADER_WITHOUT_END_REPORT_HEADER          NEW_SECTION_ERROR_START + 6
#define  SECTION_ERROR_END_REPORT_HEADER_WITHOUT_BEGIN_REPORT_HEADER          NEW_SECTION_ERROR_START + 7
#define  SECTION_ERROR_END_REPORT_HEADER_BEFORE_BEGIN_REPORT_HEADER           NEW_SECTION_ERROR_START + 8

//GROUP_HEADER
#define  SECTION_ERROR_BEGIN_GROUP_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG      NEW_SECTION_ERROR_START + 9
#define  SECTION_ERROR_BEGIN_GROUP_HEADER_WITHOUT_LEFT_RTF_TAG                NEW_SECTION_ERROR_START + 10
#define  SECTION_ERROR_BEGIN_GROUP_HEADER_WITHOUT_RIGHT_RTF_TAG               NEW_SECTION_ERROR_START + 11
#define  SECTION_ERROR_END_GROUP_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG        NEW_SECTION_ERROR_START + 12
#define  SECTION_ERROR_END_GROUP_HEADER_WITHOUT_LEFT_RTF_TAG                  NEW_SECTION_ERROR_START + 13
#define  SECTION_ERROR_END_GROUP_HEADER_WITHOUT_RIGHT_RTF_TAG                 NEW_SECTION_ERROR_START + 14
#define  SECTION_ERROR_BEGIN_GROUP_HEADER_WITHOUT_END_GROUP_HEADER            NEW_SECTION_ERROR_START + 15
#define  SECTION_ERROR_END_GROUP_HEADER_WITHOUT_BEGIN_GROUP_HEADER            NEW_SECTION_ERROR_START + 16
#define  SECTION_ERROR_END_GROUP_HEADER_BEFORE_BEGIN_GROUP_HEADER             NEW_SECTION_ERROR_START + 17

//SUBGROUP_HEADER
#define  SECTION_ERROR_BEGIN_SUBGROUP_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG      NEW_SECTION_ERROR_START + 18
#define  SECTION_ERROR_BEGIN_SUBGROUP_HEADER_WITHOUT_LEFT_RTF_TAG                NEW_SECTION_ERROR_START + 19
#define  SECTION_ERROR_BEGIN_SUBGROUP_HEADER_WITHOUT_RIGHT_RTF_TAG               NEW_SECTION_ERROR_START + 20
#define  SECTION_ERROR_END_SUBGROUP_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG        NEW_SECTION_ERROR_START + 21
#define  SECTION_ERROR_END_SUBGROUP_HEADER_WITHOUT_LEFT_RTF_TAG                  NEW_SECTION_ERROR_START + 22
#define  SECTION_ERROR_END_SUBGROUP_HEADER_WITHOUT_RIGHT_RTF_TAG                 NEW_SECTION_ERROR_START + 23
#define  SECTION_ERROR_BEGIN_SUBGROUP_HEADER_WITHOUT_END_SUBGROUP_HEADER         NEW_SECTION_ERROR_START + 24
#define  SECTION_ERROR_END_SUBGROUP_HEADER_WITHOUT_BEGIN_SUBGROUP_HEADER         NEW_SECTION_ERROR_START + 25
#define  SECTION_ERROR_END_SUBGROUP_HEADER_BEFORE_BEGIN_SUBGROUP_HEADER          NEW_SECTION_ERROR_START + 26

//SUBSUBGROUP_HEADER
#define  SECTION_ERROR_BEGIN_SUBSUBGROUP_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG          NEW_SECTION_ERROR_START + 27
#define  SECTION_ERROR_BEGIN_SUBSUBGROUP_HEADER_WITHOUT_LEFT_RTF_TAG                    NEW_SECTION_ERROR_START + 28
#define  SECTION_ERROR_BEGIN_SUBSUBGROUP_HEADER_WITHOUT_RIGHT_RTF_TAG                   NEW_SECTION_ERROR_START + 29
#define  SECTION_ERROR_END_SUBSUBGROUP_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG            NEW_SECTION_ERROR_START + 30
#define  SECTION_ERROR_END_SUBSUBGROUP_HEADER_WITHOUT_LEFT_RTF_TAG                      NEW_SECTION_ERROR_START + 31
#define  SECTION_ERROR_END_SUBSUBGROUP_HEADER_WITHOUT_RIGHT_RTF_TAG                     NEW_SECTION_ERROR_START + 32
#define  SECTION_ERROR_BEGIN_SUBSUBGROUP_HEADER_WITHOUT_END_SUBSUBGROUP_HEADER          NEW_SECTION_ERROR_START + 33
#define  SECTION_ERROR_END_SUBSUBGROUP_HEADER_WITHOUT_BEGIN_SUBSUBGROUP_HEADER          NEW_SECTION_ERROR_START + 34
#define  SECTION_ERROR_END_SUBSUBGROUP_HEADER_BEFORE_BEGIN_SUBSUBGROUP_HEADER           NEW_SECTION_ERROR_START + 35

//SUPERSUBGROUP_HEADER
#define  SECTION_ERROR_BEGIN_SUPERSUBGROUP_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG          NEW_SECTION_ERROR_START + 36
#define  SECTION_ERROR_BEGIN_SUPERSUBGROUP_HEADER_WITHOUT_LEFT_RTF_TAG                    NEW_SECTION_ERROR_START + 37
#define  SECTION_ERROR_BEGIN_SUPERSUBGROUP_HEADER_WITHOUT_RIGHT_RTF_TAG                   NEW_SECTION_ERROR_START + 38
#define  SECTION_ERROR_END_SUPERSUBGROUP_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG            NEW_SECTION_ERROR_START + 39
#define  SECTION_ERROR_END_SUPERSUBGROUP_HEADER_WITHOUT_LEFT_RTF_TAG                      NEW_SECTION_ERROR_START + 40
#define  SECTION_ERROR_END_SUPERSUBGROUP_HEADER_WITHOUT_RIGHT_RTF_TAG                     NEW_SECTION_ERROR_START + 41
#define  SECTION_ERROR_BEGIN_SUPERSUBGROUP_HEADER_WITHOUT_END_SUBSUBGROUP_HEADER          NEW_SECTION_ERROR_START + 42
#define  SECTION_ERROR_END_SUPERSUBGROUP_HEADER_WITHOUT_BEGIN_SUBSUBGROUP_HEADER          NEW_SECTION_ERROR_START + 43
#define  SECTION_ERROR_END_SUPERSUBGROUP_HEADER_BEFORE_BEGIN_SUBSUBGROUP_HEADER           NEW_SECTION_ERROR_START + 44

//BODY
#define  SECTION_ERROR_BEGIN_BODY_WITHOUT_LEFT_AND_RIGHT_RTF_TAG          NEW_SECTION_ERROR_START + 45
#define  SECTION_ERROR_BEGIN_BODY_WITHOUT_LEFT_RTF_TAG                    NEW_SECTION_ERROR_START + 46
#define  SECTION_ERROR_BEGIN_BODY_WITHOUT_RIGHT_RTF_TAG                   NEW_SECTION_ERROR_START + 47
#define  SECTION_ERROR_END_BODY_WITHOUT_LEFT_AND_RIGHT_RTF_TAG            NEW_SECTION_ERROR_START + 48
#define  SECTION_ERROR_END_BODY_WITHOUT_LEFT_RTF_TAG                      NEW_SECTION_ERROR_START + 49
#define  SECTION_ERROR_END_BODY_WITHOUT_RIGHT_RTF_TAG                     NEW_SECTION_ERROR_START + 50
#define  SECTION_ERROR_BEGIN_BODY_WITHOUT_END_BODY                        NEW_SECTION_ERROR_START + 51
#define  SECTION_ERROR_END_BODY_WITHOUT_BEGIN_BODY                        NEW_SECTION_ERROR_START + 52
#define  SECTION_ERROR_END_BODY_BEFORE_BEGIN_BODY                         NEW_SECTION_ERROR_START + 53

//SUPERSUBGROUP_FOOTER
#define  SECTION_ERROR_BEGIN_SUPERSUBGROUP_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG          NEW_SECTION_ERROR_START + 54
#define  SECTION_ERROR_BEGIN_SUPERSUBGROUP_FOOTER_WITHOUT_LEFT_RTF_TAG                    NEW_SECTION_ERROR_START + 55
#define  SECTION_ERROR_BEGIN_SUPERSUBGROUP_FOOTER_WITHOUT_RIGHT_RTF_TAG                   NEW_SECTION_ERROR_START + 56
#define  SECTION_ERROR_END_SUPERSUBGROUP_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG            NEW_SECTION_ERROR_START + 57
#define  SECTION_ERROR_END_SUPERSUBGROUP_FOOTER_WITHOUT_LEFT_RTF_TAG                      NEW_SECTION_ERROR_START + 58
#define  SECTION_ERROR_END_SUPERSUBGROUP_FOOTER_WITHOUT_RIGHT_RTF_TAG                     NEW_SECTION_ERROR_START + 59
#define  SECTION_ERROR_BEGIN_SUPERSUBGROUP_FOOTER_WITHOUT_END_SUBSUBGROUP_HEADER          NEW_SECTION_ERROR_START + 60
#define  SECTION_ERROR_END_SUPERSUBGROUP_FOOTER_WITHOUT_BEGIN_SUBSUBGROUP_HEADER          NEW_SECTION_ERROR_START + 61
#define  SECTION_ERROR_END_SUPERSUBGROUP_FOOTER_BEFORE_BEGIN_SUBSUBGROUP_HEADER           NEW_SECTION_ERROR_START + 62

//SUBSUBGROUP_FOOTER
#define  SECTION_ERROR_BEGIN_SUBSUBGROUP_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG          NEW_SECTION_ERROR_START + 63
#define  SECTION_ERROR_BEGIN_SUBSUBGROUP_FOOTER_WITHOUT_LEFT_RTF_TAG                    NEW_SECTION_ERROR_START + 64
#define  SECTION_ERROR_BEGIN_SUBSUBGROUP_FOOTER_WITHOUT_RIGHT_RTF_TAG                   NEW_SECTION_ERROR_START + 65
#define  SECTION_ERROR_END_SUBSUBGROUP_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG            NEW_SECTION_ERROR_START + 66
#define  SECTION_ERROR_END_SUBSUBGROUP_FOOTER_WITHOUT_LEFT_RTF_TAG                      NEW_SECTION_ERROR_START + 67
#define  SECTION_ERROR_END_SUBSUBGROUP_FOOTER_WITHOUT_RIGHT_RTF_TAG                     NEW_SECTION_ERROR_START + 68
#define  SECTION_ERROR_BEGIN_SUBSUBGROUP_FOOTER_WITHOUT_END_SUBSUBGROUP_FOOTER          NEW_SECTION_ERROR_START + 69
#define  SECTION_ERROR_END_SUBSUBGROUP_FOOTER_WITHOUT_BEGIN_SUBSUBGROUP_FOOTER          NEW_SECTION_ERROR_START + 70
#define  SECTION_ERROR_END_SUBSUBGROUP_FOOTER_BEFORE_BEGIN_SUBSUBGROUP_FOOTER           NEW_SECTION_ERROR_START + 71

//SUBGROUP_FOOTER
#define  SECTION_ERROR_BEGIN_SUBGROUP_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG         NEW_SECTION_ERROR_START + 72
#define  SECTION_ERROR_BEGIN_SUBGROUP_FOOTER_WITHOUT_LEFT_RTF_TAG                   NEW_SECTION_ERROR_START + 73
#define  SECTION_ERROR_BEGIN_SUBGROUP_FOOTER_WITHOUT_RIGHT_RTF_TAG                  NEW_SECTION_ERROR_START + 74
#define  SECTION_ERROR_END_SUBGROUP_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG           NEW_SECTION_ERROR_START + 75
#define  SECTION_ERROR_END_SUBGROUP_FOOTER_WITHOUT_LEFT_RTF_TAG                     NEW_SECTION_ERROR_START + 76
#define  SECTION_ERROR_END_SUBGROUP_FOOTER_WITHOUT_RIGHT_RTF_TAG                    NEW_SECTION_ERROR_START + 77
#define  SECTION_ERROR_BEGIN_SUBGROUP_FOOTER_WITHOUT_END_SUBGROUP_FOOTER            NEW_SECTION_ERROR_START + 78
#define  SECTION_ERROR_END_SUBGROUP_FOOTER_WITHOUT_BEGIN_SUBGROUP_FOOTER            NEW_SECTION_ERROR_START + 79
#define  SECTION_ERROR_END_SUBGROUP_FOOTER_BEFORE_BEGIN_SUBGROUP_FOOTER             NEW_SECTION_ERROR_START + 80

//GROUP_FOOTER
#define  SECTION_ERROR_BEGIN_GROUP_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG          NEW_SECTION_ERROR_START + 81
#define  SECTION_ERROR_BEGIN_GROUP_FOOTER_WITHOUT_LEFT_RTF_TAG                    NEW_SECTION_ERROR_START + 82
#define  SECTION_ERROR_BEGIN_GROUP_FOOTER_WITHOUT_RIGHT_RTF_TAG                   NEW_SECTION_ERROR_START + 83
#define  SECTION_ERROR_END_GROUP_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG            NEW_SECTION_ERROR_START + 84
#define  SECTION_ERROR_END_GROUP_FOOTER_WITHOUT_LEFT_RTF_TAG                      NEW_SECTION_ERROR_START + 85
#define  SECTION_ERROR_END_GROUP_FOOTER_WITHOUT_RIGHT_RTF_TAG                     NEW_SECTION_ERROR_START + 86
#define  SECTION_ERROR_BEGIN_GROUP_FOOTER_WITHOUT_END_GROUP_FOOTER                NEW_SECTION_ERROR_START + 87
#define  SECTION_ERROR_END_GROUP_FOOTER_WITHOUT_BEGIN_GROUP_FOOTER                NEW_SECTION_ERROR_START + 88
#define  SECTION_ERROR_END_GROUP_FOOTER_BEFORE_BEGIN_GROUP_FOOTER                 NEW_SECTION_ERROR_START + 89

//FOOTER
#define  SECTION_ERROR_BEGIN_REPORT_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG          NEW_SECTION_ERROR_START + 90
#define  SECTION_ERROR_BEGIN_REPORT_FOOTER_WITHOUT_LEFT_RTF_TAG                    NEW_SECTION_ERROR_START + 91
#define  SECTION_ERROR_BEGIN_REPORT_FOOTER_WITHOUT_RIGHT_RTF_TAG                   NEW_SECTION_ERROR_START + 92
#define  SECTION_ERROR_END_REPORT_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG            NEW_SECTION_ERROR_START + 93
#define  SECTION_ERROR_END_REPORT_FOOTER_WITHOUT_LEFT_RTF_TAG                      NEW_SECTION_ERROR_START + 94
#define  SECTION_ERROR_END_REPORT_FOOTER_WITHOUT_RIGHT_RTF_TAG                     NEW_SECTION_ERROR_START + 95
#define  SECTION_ERROR_BEGIN_REPORT_FOOTER_WITHOUT_END_REPORT_FOOTER               NEW_SECTION_ERROR_START + 96
#define  SECTION_ERROR_END_REPORT_FOOTER_WITHOUT_BEGIN_REPORT_FOOTER               NEW_SECTION_ERROR_START + 97
#define  SECTION_ERROR_END_REPORT_FOOTER_BEFORE_BEGIN_REPORT_FOOTER                NEW_SECTION_ERROR_START + 98

#define WM_REP_WRITE_ERROR											                           WM_USER+108
#define WM_REP_MAX_DYN_SECTION_EXCEEDED  			                             WM_USER+109
#define WM_REP_ALLAGIAL_CALL                                               WM_USER+110

//End describe errors

#define WM_REP_MOVE													                                WM_USER+111
#define  MOVE_TOP						 								                                  0
#define  MOVE_NEXT					 								                                  1
#define  MOVE_PREVIOUS				 								                                2
#define  MOVE_BOTTOM					 								                                3

#define WM_REP_SECTION_PREPARE                                          WM_USER + 112

#define WM_REP_SECTION_BEGIN                                            WM_USER + 113
#define WM_REP_SECTION_END                                              WM_USER + 114
#define WM_REP_SECTION_COMPLIT                                          WM_USER + 115
#define WM_REP_SECTION_CHECK                                            WM_USER + 116
#define WM_REP_SECTION_DATA_REQUEST                                     WM_USER + 117
#define WM_REP_SECTION_DATA_REQUEST_BY_NAME                             WM_USER + 118
#define WM_REP_SECTION_DATA_REQUEST_BY_NUM                              WM_USER + 119

#define  NEW_SECTION_START                                           WM_USER + 200

#define    FILE_HEADER  		  						                              0
#define    REPORT_HEADER 								                              1
#define    GROUP_HEADER										                            2
#define    SUBGROUP_HEADER									                          3
#define    SUBSUBGROUP_HEADER		  						                        4
#define    SUPERSUBGROUP_HEADER		  						                      5
#define    BODY													                              6
#define    SUPERSUBGROUP_FOOTER		  						                      7
#define    SUBSUBGROUP_FOOTER		  						                        8
#define    SUBGROUP_FOOTER									                          9
#define    GROUP_FOOTER										                           10
#define    REPORT_FOOTER									                            11
#define    FILE_FOOTER  		  						                            12


#define WM_REP_RTF_HEADER       		  						                          NEW_SECTION_START + FILE_HEADER
#define WM_REP_HEADER												                                NEW_SECTION_START + REPORT_HEADER
#define WM_REP_GROUP_HEADER										                              NEW_SECTION_START + GROUP_HEADER
#define WM_REP_SUBGROUP_HEADER									                            NEW_SECTION_START + SUBGROUP_HEADER
#define WM_REP_SUBSUBGROUP_HEADER		  						                          NEW_SECTION_START + SUBSUBGROUP_HEADER
#define WM_REP_SUPERSUBGROUP_HEADER		  						                        NEW_SECTION_START + SUPERSUBGROUP_HEADER
#define WM_REP_BODY													                                NEW_SECTION_START + BODY
#define WM_REP_SUPERSUBGROUP_FOOTER		  						                        NEW_SECTION_START + SUPERSUBGROUP_FOOTER
#define WM_REP_SUBSUBGROUP_FOOTER		  						                          NEW_SECTION_START + SUBSUBGROUP_FOOTER
#define WM_REP_SUBGROUP_FOOTER									                            NEW_SECTION_START + SUBGROUP_FOOTER
#define WM_REP_GROUP_FOOTER										                              NEW_SECTION_START + GROUP_FOOTER
#define WM_REP_FOOTER												                                NEW_SECTION_START + REPORT_FOOTER
#define WM_REP_RTF_FOOTER       		  						                          NEW_SECTION_START + FILE_FOOTER

#define SECTION_DATA_REQUEST_BY_NUM				                                          0
#define SECTION_DATA_REQUEST_BY_NAME				                                        1
#define SECTION_CHECK													                                      2
#define SECTION_BEGIN													                                      3
#define SECTION_END														                                      4
#define SECTION_DATA_REQUEST_BY_VALUE                                               5
#define SECTION_DATA_REQUEST_BY_CELL                                                6
#define SECTION_COMPLIT                                                             7

//

//Exception codes
#define  START_EXCEPTION_CODE                                                  50000

#define  WRITE_EXCEPTION                                                       START_EXCEPTION_CODE + 1
#define  SECTION_EXCEPTION                                                     START_EXCEPTION_CODE + 2
#define  LIMIT_EXCEEDED                                                        START_EXCEPTION_CODE + 3
#define  ALLAGIAL_CALL                                                         START_EXCEPTION_CODE + 4

#define  WM_REP_NOT_EXCEL_CONNECTED           WM_USER + 500
#define  WM_REP_OPEN_FILE_NOT_EXISTS          WM_USER + 501
#define  WM_REP_ERROR                         WM_USER + 502

//---------------------------------------------------------------------------

//
enum TTtypeDiraction {tdNotDefined, tdHorizontaly, tdVerticaly};

//
enum TTtypeSylkReport {tsrHorizontaly, tsrVerticaly, tsrBiDirection};

//
enum TTtypeReport {ttrCOM_XLS, ttrSYLK, ttrRTF_HTML, ttrXLS4};

//
typedef struct {
  int   iRow;
  int   iCol;
} CellStruct;
typedef CellStruct* pCellStruct;

/*
VarType:
  0  Unassigned
  1  NULL
  2  Integer
  3  Boolean
  4  Double
  5  TDateTime
  6  char*
*/

//
enum TVKRepVarDataType {vkvtUnassigned, vkvtNULL, vkvtInteger, vkvtBoolean, vkvtDouble, vkvtDateTime, vkvtStr};

//
typedef struct {
  TVKRepVarDataType VarType;
  int               VarInt;   //vkvtInteger, vkvtBoolean
  double            VarFloat; //vkvtDouble, vkvtDateTime
  char*             VarStr;   //vkvtStr
} VKRepVarData;
typedef VKRepVarData* pVKRepVarData;

//
typedef struct {
  char*             SectionName;
  int               SectionNum;
  int               iP;
  char*             sField;
  TVKRepVarDataType sDataVarType;
  int               sDataVarInt;   //vkvtInteger, vkvtBoolean
  double            sDataVarFloat; //vkvtDouble, vkvtDateTime
  char*             sDataVarStr;   //vkvtStr
  TVKRepVarDataType sRetDataVarType;
  int               sRetDataVarInt;   //vkvtInteger, vkvtBoolean
  double            sRetDataVarFloat; //vkvtDouble, vkvtDateTime
  char              sRetDataVarStr[MAX_CHAR_DATA];   //vkvtStr
  CellStruct        CurrCell;
  CellStruct        BlankCell;
} RequestDataStract;
typedef RequestDataStract* pRequestDataStract;

//
typedef struct {
  int         iTypeDataRequest;
  int         iFieldNum;
  char        cFieldName[MAX_LABEL_NAME_LEGTH + 1];
  char*       cpValue;
  int         iNumber;
  CellStruct  CurrCell;
  CellStruct  BlankCell;
} DataRq;
typedef DataRq* pDataRq;

//
typedef struct {
  unsigned int      uiP;
  unsigned int      uiZ;
  bool              bF;
  bool              bFL;
  bool              bFR;
} FoundPar;

//
typedef struct {
  AnsiString            Name;
  unsigned int          StartPosition;
  unsigned int          Length;
  unsigned char         ucUsed;
  int                   BeginR;
  int                   EndR;
} Section;

typedef struct {
  Variant       ContentColRow;
  int           ContentLen;
  int           SectionRow;
  int           SectionCol;
} TExcelCellContent;
typedef TExcelCellContent* pTExcelCellContent;

typedef  int* pInteger;

typedef struct {
  AnsiString    SectionName;
  TList*        Contents;
  int           SectionNum;
  bool          SectionUsed;
  int           RowsCount;
  int           ColsCount;
  pInteger      Widths;
  IUnknown*     iRange;
} TExcelReportSectionInfo;
typedef TExcelReportSectionInfo* pTExcelReportSectionInfo;

typedef struct {
  char*         SectionName;
  int           SectionNum;
} TSectionAttr;
typedef TSectionAttr* pTSectionAttr;

//
typedef void (STDAPICALLTYPE * TCallBackFunc)(int, UINT, WPARAM, LPARAM, void * pSelf);
typedef void (STDAPICALLTYPE * TCallBackIntf)(IUnknown*, TComponent*, UINT, WPARAM, LPARAM, void * pSelf);
typedef unsigned int (STDAPICALLTYPE * TWriteStream)(void * ucpOutBuff, unsigned int uiOutLength, void * pSelf);

//
typedef void __fastcall (__closure * TOnReportMessage)(TObject * Sender, const int iMessage, const int iW, const int iL);

typedef void __fastcall (__closure * TOnReportError)(TObject * Sender, Messages::TMessage &Msg, AnsiString &sStr);
typedef void __fastcall (__closure * TOnSectionDataRequestByNum)(TObject * Sender, int &iP, AnsiString &sStr);
typedef void __fastcall (__closure * TOnSectionDataRequestByName)(TObject * Sender, AnsiString &sFieldName, AnsiString &sStr);
typedef void __fastcall (__closure * TOnSectionDataRequestByCell)(TObject * Sender, DataRq &RqData);
typedef void __fastcall (__closure * TOnSectionDataRequestByVal)(TObject * Sender, int &iP, AnsiString &sStr);

typedef void __fastcall (__closure * TOnCheck)(TObject * Sender, bool &bCheck);

typedef void __fastcall (__closure * TOnRepError)(TObject * Sender, int mError, int nError, AnsiString sError);
typedef void __fastcall (__closure * TOnSectionCheck)(TObject * Sender, AnsiString &SectionName, int SectionNum, bool &bCheck);
typedef void __fastcall (__closure * TOnBeginEndSectionEvent)(TObject * Sender, AnsiString &SectionName, int SectionNum);
typedef void __fastcall (__closure * TOnDataRequest)(TObject * Sender, AnsiString &SectionName, int SectionNum, Variant &sData, bool &bCheck, int OutR, int OutC, int InR, int InC);
typedef void __fastcall (__closure * TOnDataRequestByNum)(TObject * Sender, AnsiString &SectionName, int &iP, AnsiString &sStr);
typedef void __fastcall (__closure * TOnDataRequestByName)(TObject * Sender, AnsiString &SectionName, AnsiString &sFieldName, AnsiString &sStr);

typedef void __fastcall (__closure * TOnResumeReport)(void);

/*TRThread*/
class TRThread : public TThread {
private:

  TOnResumeReport FOnExecute;

protected:

  void __fastcall Execute(void){
    try{
      CoInitialize(NULL);
      if (OnExecute != NULL) OnExecute();
    } catch(...) {
      CoUninitialize();
    };
  };

public:

  __fastcall TRThread(bool CreateSuspended) : TThread(CreateSuspended) {
  };

  __property TOnResumeReport OnExecute = { read = FOnExecute, write = FOnExecute };

};

/*TReportAbstract*/
class TReportAbstract : public TComponent
{
private:

  TNotifyEvent                  FOnStartReport;
  TNotifyEvent                  FOnEndReport;
  TOnRepError                   FOnReportError;
  TOnCheck                      FOnMoveTop;
  TOnCheck                      FOnMoveNext;
  TOnBeginEndSectionEvent       FOnSectionBegin;
  TOnBeginEndSectionEvent       FOnSectionEnd;
  TOnBeginEndSectionEvent       FOnSectionComplit;
  TOnSectionCheck               FOnSectionCheck;
  TOnDataRequest                FOnDataRequest;
  TOnDataRequestByName          FOnRequestByName;
  TOnDataRequestByNum           FOnRequestByNum;
  TNotifyEvent                  FOnSectionPrepare;

protected:

  virtual AnsiString __fastcall GetCurrentSection(void) = 0;
  virtual int __fastcall GetCurrentSectionNum(void) = 0;
  virtual TTtypeDiraction __fastcall GetTypeDiraction(void) = 0;

  virtual TWriteStream __fastcall GetWriteStream(void){ return NULL; };
  virtual void __fastcall SetWriteStream(TWriteStream Value){ };

  virtual TWriteStream __fastcall GetReadStream(void){ return NULL; };
  virtual void __fastcall SetReadStream(TWriteStream Value){ };

  virtual TStream* __fastcall GetInputStream(void){ return NULL; };
  virtual void __fastcall SetInputStream(TStream* Value){ };

  virtual TStream* __fastcall GetOutputStream(void){ return NULL; };
  virtual void __fastcall SetOutputStream(TStream* Value){ };

  virtual AnsiString __fastcall GetInputBlank(void){ return ""; };
  virtual void __fastcall SetInputBlank(const AnsiString Value){};

  virtual AnsiString __fastcall GetInputSheet(void){ return ""; };
  virtual void __fastcall SetInputSheet(const AnsiString Value){};

  virtual AnsiString __fastcall GetOutputBlank(void){ return ""; };
  virtual void __fastcall SetOutputBlank(const AnsiString Value){};

  virtual AnsiString __fastcall GetOutputSheet(void){ return ""; };
  virtual void __fastcall SetOutputSheet(AnsiString Value){};

  virtual char __fastcall GetCharByNum(void){ return 0; };
  virtual void __fastcall SetCharByNum(const char Value){};

  virtual char __fastcall GetCharByName(void){ return 0; };
  virtual void __fastcall SetCharByName(const char Value){};

public:

  __fastcall TReportAbstract(TComponent* Owner): TComponent(Owner){
  };

  virtual void __fastcall ReportResume(void) = 0;
  virtual void __fastcall ReportExecute(void) = 0;
  virtual void __fastcall ReportHorizontalyResume(void) = 0;
  virtual void __fastcall ReportHorizontalyExecute(void) = 0;
  virtual void __fastcall BiDirectionResume(void) = 0;
  virtual void __fastcall BiDirectionExecute(void) = 0;
  virtual int __fastcall PrepareSection(const AnsiString SectionName) = 0;
  virtual int __fastcall PrepareHorizontalySection(const AnsiString SectionName) = 0;

  virtual void __fastcall OutSection(const AnsiString SectionName) = 0;
  virtual void __fastcall OutHorizontalySection(const AnsiString SectionName) = 0;
  virtual void __fastcall OutSection(int SectionNum) = 0;
  virtual void __fastcall OutHorizontalySection(int SectionNum) = 0;

  __property TWriteStream WriteStreamPtr = { read = GetWriteStream, write = SetWriteStream };
  __property TWriteStream ReadStreamPtr = { read = GetReadStream, write = SetReadStream };

  __property TStream* InputStream = { read = GetInputStream, write = SetInputStream };
  __property TStream* OutputStream = { read = GetOutputStream, write = SetOutputStream };

  __property AnsiString CurrentSection = { read = GetCurrentSection };
  __property int CurrentSectionNum = { read = GetCurrentSectionNum };

  __property TTtypeDiraction TypeDiraction = { read = GetTypeDiraction };

  __property AnsiString InputBlank = { read = GetInputBlank, write = SetInputBlank };
  __property AnsiString InputSheet = { read = GetInputSheet, write = SetInputSheet };
  __property AnsiString OutputBlank = { read = GetOutputBlank, write = SetOutputBlank };
  __property AnsiString OutputSheet = { read = GetOutputSheet, write = SetOutputSheet };
  __property char CharByNum = { read = GetCharByNum, write = SetCharByNum };
  __property char CharByName = { read = GetCharByName, write = SetCharByName };

  __property TNotifyEvent OnStartReport = { read = FOnStartReport, write = FOnStartReport };
  __property TNotifyEvent OnEndReport = { read = FOnEndReport, write = FOnEndReport };
  __property TOnRepError OnReportError = { read = FOnReportError, write = FOnReportError };
  __property TOnCheck OnMoveTop = { read = FOnMoveTop, write = FOnMoveTop };
  __property TOnCheck OnMoveNext = { read = FOnMoveNext, write = FOnMoveNext };
  __property TOnBeginEndSectionEvent OnSectionBegin = { read = FOnSectionBegin, write = FOnSectionBegin };
  __property TOnBeginEndSectionEvent OnSectionEnd = { read = FOnSectionEnd, write = FOnSectionEnd };
  __property TOnBeginEndSectionEvent OnSectionComplit = { read = FOnSectionComplit, write = FOnSectionComplit };
  __property TOnSectionCheck OnSectionCheck = { read = FOnSectionCheck, write = FOnSectionCheck };
  __property TOnDataRequest OnDataRequest = { read = FOnDataRequest, write = FOnDataRequest };
  __property TOnDataRequestByName OnRequestByName = { read = FOnRequestByName, write = FOnRequestByName };
  __property TOnDataRequestByNum OnRequestByNum = { read = FOnRequestByNum, write = FOnRequestByNum };
  __property TNotifyEvent OnSectionPrepare = { read = FOnSectionPrepare, write = FOnSectionPrepare };

};

//---------------------------------------------------------------------------
#endif

