//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include <ShellApi.h>
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "ReportContainer"
#pragma link "SSmrtRep"
#pragma link "SylkReport"
#pragma link "WordReport"
#pragma link "Excel_2K_SRVR"
#pragma link "ExcelReport"
#pragma link "XLS4Report"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::SylkReport1EndReport(TObject *Sender)
{
  ShellExecute(this->Handle, "open", (char*)(SylkReport1->OutputBlank.c_str()), "/n", NULL, SW_SHOWNORMAL);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::SylkReport1SectionComplit(TObject *Sender,
      AnsiString &SectionName, int SectionNum)
{
  if (SectionName == "BODY"){
    eee++;
    Caption = "BODY  SylkReport1: " + IntToStr(eee);
  };
}
//---------------------------------------------------------------------------
void __fastcall TForm1::RTFEndReport(TObject *Sender)
{
  ShellExecute(this->Handle, "open", (char*)(RTF->OutputBlank.c_str()), "/n", NULL, SW_SHOWNORMAL);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::HTMLEndReport(TObject *Sender)
{
  ShellExecute(this->Handle, "open", (char*)(HTML->OutputBlank.c_str()), "/n", NULL, SW_SHOWNORMAL);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer1DataRequest(TObject *Sender,
      AnsiString &SectionName, int SectionNum, Variant &sData,
      bool &bCheck, int OutR, int OutC, int InR, int InC)
{
  int i;
  switch ( sData.Type() ){
    case varSmallint:
    case varInteger:
    case varSingle:
    case varDouble:
    case varCurrency:
      i = sData;
      sData.Clear();
      sData = " - " + IntToStr(i);
      bCheck = true;
      break;
    default:
      bCheck = false;
      break;
  };
};

//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer1EndReport(TObject *Sender)
{
  if ( ReportContainer1->OnOldEndReport != NULL) ReportContainer1->OnOldEndReport(this);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer1MoveNext(TObject *Sender,
      bool &bCheck)
{
  bCheck = false;
  if (ReportContainer1->TypeDiraction == tdVerticaly)
    if (ii == 100) bCheck = true;
  if (ReportContainer1->TypeDiraction == tdHorizontaly)
    if (ii == 49) bCheck = true;
  Label1->Caption = IntToStr(ii);
  Application->ProcessMessages();
  ii++;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer1MoveTop(TObject *Sender,
      bool &bCheck)
{
  ii = 1;
  bCheck = false;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer1ReportError(TObject *Sender,
      int mError, int nError, AnsiString &sError)
{
  ShowMessage(sError);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer1RequestByName(TObject *Sender,
      AnsiString &SectionName, AnsiString &sFieldName, AnsiString &sStr)
{
  sStr = "  - " + sFieldName;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer1RequestByNum(TObject *Sender,
      AnsiString &SectionName, int &iP, AnsiString &sStr)
{
  sStr = "  - " + IntToStr(iP);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer1SectionCheck(TObject *Sender,
      AnsiString &SectionName, int SectionNum, bool &bCheck)
{
  bCheck = true;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer1SectionComplit(TObject *Sender,
      AnsiString &SectionName, int SectionNum)
{
  if (ReportContainer1->OnOldSectionComplit){
    ReportContainer1->OnOldSectionComplit(this, SectionName, SectionNum);
  } else if (SectionName == "BODY"){
    eee++;
    Caption = IntToStr(eee);
  };
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
  COM = false;
  switch (RadioGroup1->ItemIndex){
  case 0:  //COM XLS
    ExcelReport1->InputBlank = "qq.xls";
    ExcelReport1->InputSheet = "qq";
    ExcelReport1->OutputBlank = "qqOut.xls";
    COM = true;
    ReportContainer1->Report = ExcelReport1;
    break;
  case 1:  //SYLK
    SylkReport1->InputBlank = "qq.slk";
    SylkReport1->OutputBlank = "qqOut.slk";
    ReportContainer1->Report = SylkReport1;
    break;
  case 2:  //RTF
    RTF->InputBlank = "qq.RTF";
    RTF->OutputBlank = "qqOut.RTF";
    ReportContainer1->Report = RTF;
    break;
  case 3:  //HTML
    HTML->InputBlank = "qq.HTML";
    HTML->OutputBlank = "qqOut.HTML";
    ReportContainer1->Report = HTML;
    break;
  case 4:  //XLS 4
    XLS4->InputBlank = "qq4.XLS";
    XLS4->OutputBlank = "qq4Out.XLS";
    ReportContainer1->Report = XLS4;
    break;
  };
  ReportContainer1->ReportExecute();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer2DataRequest(TObject *Sender,
      AnsiString &SectionName, int SectionNum, Variant &sData,
      bool &bCheck, int OutR, int OutC, int InR, int InC)
{
  int i = 0;
  if (ReportContainer2->TypeDiraction == tdHorizontaly){
    if ( sData.Type() == varInteger ) i = sData;
    sData.Clear();
    sData = 10*ii + i;
  };
  if (ReportContainer2->TypeDiraction == tdVerticaly){
    sData = Format("%d, %d, %d, %d", ARRAYOFCONST(( OutR,
                                          OutC,
                                          InR,
                                          InC)));
  };
  bCheck = true;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer2EndReport(TObject *Sender)
{
  if (ReportContainer2->OnOldEndReport != NULL) ReportContainer2->OnOldEndReport(this);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::SylkReport2EndReport(TObject *Sender)
{
  if (ReportContainer2->TypeDiraction == tdVerticaly)
    ShellExecute(this->Handle, "open", (char*)(SylkReport2->OutputBlank.c_str()), "/n", NULL, SW_SHOWNORMAL);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer2MoveNext(TObject *Sender,
      bool &bCheck)
{
  bCheck = false;
  if (ReportContainer2->TypeDiraction == tdVerticaly){
    if (jj == 100) bCheck = true;
    Label1->Caption = IntToStr(jj);
    Application->ProcessMessages();
    jj++;
  };
  if (ReportContainer2->TypeDiraction == tdHorizontaly){
    if (ii == 10) bCheck = true;
    Label1->Caption = IntToStr(ii);
    Application->ProcessMessages();
    ii++;
  };
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer2MoveTop(TObject *Sender,
      bool &bCheck)
{
  ii = 1;
  jj = 1;
  bCheck = false;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer2ReportError(TObject *Sender,
      int mError, int nError, AnsiString &sError)
{
  ShowMessage(sError);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer2SectionCheck(TObject *Sender,
      AnsiString &SectionName, int SectionNum, bool &bCheck)
{
  bCheck = true;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
  COM = false;
  switch (RadioGroup1->ItemIndex){
    case 0:
      ExcelReport1->InputBlank = "qqH.xls";
      ExcelReport1->InputSheet = "qqH";
      ExcelReport1->OutputBlank = "qqHOut.xls";
      ReportContainer1->Report = ExcelReport1;
      COM = true;
      ReportContainer1->ReportHorizontalyExecute();
      break;
    case 1:
      SylkReport1->InputBlank = "qqH.slk";
      SylkReport1->OutputBlank = "qqHOut.slk";
      ReportContainer1->Report = SylkReport1;
      ReportContainer1->ReportHorizontalyExecute();
      break;
    case 2: ShowMessage("Capability not suported!"); break;
    case 3: ShowMessage("Capability not suported!"); break;
    case 4:
      XLS4->InputBlank = "qqH4.XLS";
      XLS4->OutputBlank = "qqH4Out.XLS";
      ReportContainer1->Report = XLS4;
      ReportContainer1->ReportHorizontalyExecute();
      break;
  };
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button5Click(TObject *Sender)
{
  SYLK = false;
  COM = false;
  switch (RadioGroup1->ItemIndex){
    case 0:
      ExcelReport2->InputBlank = "BiDirection.xls";
      ExcelReport2->InputSheet = "BiDirection";
      ExcelReport2->OutputBlank = "BiDirectionOut.xls";
      ReportContainer2->Report = ExcelReport2;
      COM = true;
      ReportContainer2->BiDirectionExecute();
      break;
    case 1:
      SylkReport2->InputBlank = "BiDirection.slk";
      SylkReport2->OutputBlank = "BiDirectionOut.slk";
      ReportContainer2->Report = SylkReport2;
      SYLK = true;
      ReportContainer2->BiDirectionExecute();
      break;
    case 2: ShowMessage("Capability not suported!"); break;
    case 3: ShowMessage("Capability not suported!"); break;
    case 4:
      XLS4Report1->InputBlank = "BiDirection4.xls";
      XLS4Report1->OutputBlank = "BiDirection4Out.xls";
      ReportContainer2->Report = XLS4Report1;
      ReportContainer2->BiDirectionExecute();
      break;
  };
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ExcelReport1EndReport(TObject *Sender)
{
  ExcelReport1->Excel->Workbooks->Open(BSTR(WideString(ExcelReport1->OutputBlank)));
  ExcelReport1->Excel->set_Visible(0, true);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ExcelReport2EndReport(TObject *Sender)
{
  if ( ExcelReport2->TypeDiraction == tdVerticaly ){
    ExcelReport2->Excel->Workbooks->Open(BSTR(WideString(ExcelReport2->OutputBlank)));
    ExcelReport2->Excel->set_Visible(0, true);
  };
}
//---------------------------------------------------------------------------

void __fastcall TForm1::XLS4EndReport(TObject *Sender)
{
  ShellExecute(this->Handle, "open", (char*)(XLS4->OutputBlank.c_str()), "/n", NULL, SW_SHOWNORMAL);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::XLS4Report1EndReport(TObject *Sender)
{
  if (ReportContainer2->TypeDiraction == tdVerticaly)
    ShellExecute(this->Handle, "open", (char*)(XLS4Report1->OutputBlank.c_str()), "/n", NULL, SW_SHOWNORMAL);
}
//---------------------------------------------------------------------------


