//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include <CommonType.h>
#include <ShellApi.h>
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "ReportContainer"
#pragma link "SSmrtRep"
#pragma link "WordReport"
#pragma link "SylkReport"
#pragma link "ExcelReport"
#pragma link "XLS4Report"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button1Click(TObject *Sender)
{
  switch (RadioGroup1->ItemIndex){
    case 0:
      ReportContainer1->Report = WordReport1;
      break;
    case 1:
      ReportContainer1->Report = SylkReport1;
      break;
    case 2:
      ReportContainer1->Report = ExcelReport1;
      break;
    case 3:
      ReportContainer1->Report = XLS4Report1;
      break;
    case 4:
      ReportContainer1->Report = WordReport2;
      break;
    default:
      ReportContainer1->Report = WordReport1;
      break;
  };
  ReportContainer1->ReportResume();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer1MoveTop(TObject *Sender,
      bool &bCheck)
{
  DB->First();
  bCheck = DB->Eof;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer1MoveNext(TObject *Sender,
      bool &bCheck)
{
  if ( (DB->RecNo % 10) == 0 )
    ReportContainer1->OutSection("SOMTHING");
  DB->Next();
  bCheck = DB->Eof;
  Caption = IntToStr(DB->RecNo);
  Label1->Caption = IntToStr(Pos);
  Pos++;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer1SectionCheck(TObject *Sender,
      AnsiString &SectionName, int SectionNum, bool &bCheck)
{
  AnsiString OldGroup;
  //if ((SectionName == "BODY") || (SectionNum == REPORT_HEADER) || (SectionNum == REPORT_FOOTER)) bCheck = true;
  //  else bCheck = false;
  if ( SectionNum == GROUP_HEADER ){
    DB->Prior();
    if ( !DB->Bof ){
      OldGroup =  Trim(DB->Fields->Fields[4]->AsString);  //#STATE
      DB->Next();
    } else {
        OldGroup = "hhhhhhhhhhhhhhhhhhhhhhh";
    };
    if ( OldGroup != Trim(DB->Fields->Fields[4]->AsString) ) bCheck = true;
  };
  if ( SectionNum == Somthing ) bCheck = true;
  if ( SectionNum == GROUP_FOOTER ){
    DB->Next();
    if ( !DB->Eof ){
        OldGroup = Trim(DB->Fields->Fields[4]->AsString);  //#STATE
        DB->Prior();
    } else {
        OldGroup = "chfdhhtryrye";
    };
    if ( OldGroup != Trim(DB->Fields->Fields[4]->AsString) ) bCheck = true;
  };
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer1RequestByNum(TObject *Sender,
      AnsiString &SectionName, int &iP, AnsiString &sStr)
{
  Data.Clear();
  if (ReportContainer1->CurrentSectionNum == REPORT_HEADER) {
    switch (iP){
      case 1:
        Data = "First parametr";
        break;
      case 2:
        Data = "Second parametr";
        break;
    };
  };
  if ( ReportContainer1->CurrentSectionNum == GROUP_HEADER ) {
    Data = DB->Fields->Fields[4]->AsVariant;  //#STATE
  };
  if (ReportContainer1->CurrentSectionNum == BODY) {
    switch (iP){
      case 1:
        Data = DB->FieldByName("First")->AsVariant;
        break;
      case 3:
        Data = DB->FieldByName("City")->AsVariant;
        break;
      case 5:
        Data = DB->FieldByName("ZIP")->AsVariant;
        break;
      case 6:
        Data = DB->FieldByName("Age")->AsVariant;
        break;
      case 7:
        Data = DB->FieldByName("Salary")->AsVariant;
        break;
      default:
        Data.Clear();
    };
  };
  if ( ReportContainer1->CurrentSectionNum == GROUP_FOOTER ) {
    if ( iP == 1 ) Data = DB->Fields->Fields[4]->AsVariant;
    if ( iP == 2 ){
      Data = s1;
      s1 = 0;
    };
  };
  if (ReportContainer1->CurrentSectionNum == REPORT_FOOTER) Data = s2;
  if ( !(Data.IsNull() || Data.IsEmpty()) ) sStr = VarToStr(Data);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer1EndReport(TObject *Sender)
{
  Beep();
  ReportContainer1->OnOldEndReport(this);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportContainer1RequestByName(TObject *Sender,
      AnsiString &SectionName, AnsiString &sFieldName, AnsiString &sStr)
{
  if (ReportContainer1->CurrentSectionNum == FILE_HEADER){
    sStr = "Hello darling!";
  };
  if ( (ReportContainer1->CurrentSectionNum == BODY) && (sFieldName.UpperCase() == "STREET") ){
    sStr = DB->FieldByName("Street")->AsString;
  };
  if ( ReportContainer1->CurrentSectionNum == Somthing ){
    sStr = IntToStr(DB->RecNo);
  };
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ReportContainer1StartReport(TObject *Sender)
{
  Somthing = -1;
  s1 = 0;
  s2 = 0;
  Pos = 0;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ReportContainer1SectionBegin(TObject *Sender,
      AnsiString &SectionName, int SectionNum)
{
  if (SectionNum == BODY){
    s1 = s1 + DB->Fields->Fields[9]->AsFloat;  //#SALARY
    s2 = s2 + DB->Fields->Fields[9]->AsFloat;  //#SALARY
  };
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ReportContainer1SectionPrepare(TObject *Sender)
{
  Somthing = ReportContainer1->PrepareSection("SOMTHING");
}
//---------------------------------------------------------------------------


void __fastcall TForm1::WordReport1EndReport(TObject *Sender)
{
  ShellExecute(this->Handle, "open", (WordReport1->OutputBlank).c_str(), "/n", NULL, SW_SHOWNORMAL);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::SylkReport1EndReport(TObject *Sender)
{
  ShellExecute(this->Handle, "open", (SylkReport1->OutputBlank).c_str(), "/n", NULL, SW_SHOWNORMAL);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ReportContainer1DataRequest(TObject *Sender,
      AnsiString &SectionName, int SectionNum, Variant &sData,
      bool &bCheck, int OutR, int OutC, int InR, int InC)
{
  int iP;
  AnsiString qq = "";
  if ( (sData.Type() == varInteger) || (sData.Type() == varDouble) ) {
    iP = sData;
    bCheck = true;
    ReportContainer1RequestByNum(Sender, SectionName, iP, qq);
    sData.Clear();
    sData = Data;
  } else {
    bCheck = false;
  };

}
//---------------------------------------------------------------------------

void __fastcall TForm1::ExcelReport1EndReport(TObject *Sender)
{
   //ExcelReport1->
}
//---------------------------------------------------------------------------

void __fastcall TForm1::XLS4Report1EndReport(TObject *Sender)
{
  ShellExecute(this->Handle, "open", (XLS4Report1->OutputBlank).c_str(), "/n", NULL, SW_SHOWNORMAL);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ReportContainer1ReportError(TObject *Sender,
      int mError, int nError, AnsiString sError)
{
  ShowMessage(sError);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::WordReport2EndReport(TObject *Sender)
{
  ShellExecute(this->Handle, "open", (WordReport2->OutputBlank).c_str(), "/n", NULL, SW_SHOWNORMAL);
}
//---------------------------------------------------------------------------

